Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdReceipt.NonFiscalReceipt

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt.NonFiscalReceipt

Enclosing class:
  cmdReceipt

    public static class cmdReceipt.NonFiscalReceipt
    extends cmdReceipt

Class handles a Non-fiscal receipt

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt

  `cmdReceipt.AlignmentType, cmdReceipt.BarcdeType, cmdReceipt.FiscalReceipt, cmdReceipt.FiscalSale, cmdReceipt.FiscalTransaction, cmdReceipt.NonFiscalReceipt, cmdReceipt.PaymentType, cmdReceipt.SeparatingLine`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `NonFiscalReceipt()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `closeNonFiscalReceipt()` |
  `boolean` | `isFontSetupSupport()` |
  `boolean` | `isOpen()` |
  `int` | `openNonFiscalReceipt()` |
  `void` | `printNonFiscalText​(java.lang.String text)` |
  `void` | `printNonFiscalText​(java.lang.String text, boolean Bold, boolean Italic, boolean DoubleH, boolean Underline, cmdReceipt.AlignmentType alignment)` |

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt

  `cashInCashOut, drawerKickOut, isStornoReceiptOpen, paperCutting, paperFeed, printBarcode, printFreeText`

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NonFiscalReceipt

    public NonFiscalReceipt()

- ## Method Details

  - ### isFontSetupSupport

    public boolean isFontSetupSupport()

  - ### openNonFiscalReceipt

    public int openNonFiscalReceipt() throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### closeNonFiscalReceipt

    public int closeNonFiscalReceipt() throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### isOpen

    public boolean isOpen()

  - ### printNonFiscalText

    public void printNonFiscalText​(java.lang.String text) throws java.lang.Exception
    Parameters:
      `text` -
    Throws:
      `java.lang.Exception`

  - ### printNonFiscalText

    public void printNonFiscalText​(java.lang.String text, boolean Bold, boolean Italic, boolean DoubleH, boolean Underline, cmdReceipt.AlignmentType alignment) throws java.lang.Exception
    Parameters:
      `text` -
      `Bold` -
      `Italic` -
      `DoubleH` -
      `Underline` -
      `alignment` -
    Throws:
      `java.lang.Exception`